<div class="container register">
    <h2 align="center">Customer Registration</h2>
    <p>{{error}}</p>
    <p>{{customer |json}}</p>
    <form (ngSubmit)="register()">
        <div class="row">
            <div class="col-lg-6 col-lg-offset-3">
                <div class="form-group mb-3">
                    <label for="name" class="form-label">Customer Name:</label> 
                    <input type="text" class="form-control" [(ngModel)]="customer.customerName"
                        id="customerName" placeholder="Enter Name" name="customerName">
                </div>

                <div class="form-group mb-3">
                    <label for="address" class="form-label">Address:</label> 
                    <input type="text" class="form-control"
                    [(ngModel)]="customer.customerAddress"    
                    id="address" placeholder="Enter address." name="customerAddress">
                </div>

                <label for="customerIdentity" class="form-label">Identity Type:</label>
                <select [(ngModel)]="customer.customerIdentity"
                class="form-select" aria-label="Default select example" name="customerIdentity">
                    <option selected *ngFor='let id of identity'>{{id}}</option>
                </select>

                <div class="form-group mb-3">
                    <label for="customerEmailId" class="form-label">EmailId: </label> 
                    <input type="text" [(ngModel)]="customer.customerEmailId"
                        class="form-control" id="customerEmailId" placeholder="Enter EmailId" name="customerEmailId">
                </div>
                <div class="form-group mb-3">
                    <label for="password" class="form-label">PASSWORD: </label> 
                    <input type="text" class="form-control" [(ngModel)]="customer.password"
                        id="password" placeholder="Enter Password" name="password">
                </div>
                <div class="form-group mb-3">
                    <label for="password" class="form-label">Annual Income:</label> 
                    <input type="text" [(ngModel)]="customer.annualIncome"
                        class="form-control" id="income" value="0.0" placeholder="Enter Annual Income"
                        name="annualIncome">
                </div>
                <div class="form-check">
                    <label for="tax" class="form-label">Income Tax Returns Attached:</label>
                    <input type="checkbox" id="tax"  [(ngModel)]="customer.incomeTaxReturnAttached"
                    class="form-check-input" name="incomeTaxReturnAttached">
                </div>

                <div align="center">
                    <input type="submit" class="btn btn-primary" value="Register">
                </div>
            </div>
        </div>
    </form>
</div>